Index: create_funcs.sql
===================================================================
--- create_funcs.sql	(revisjon 2216)
+++ create_funcs.sql	(arbeidskopi)
@@ -110,6 +110,44 @@
 END;
 $$ LANGUAGE plpgsql;
 
+DROP TYPE wheretype;
+CREATE TYPE wheretype AS (
+    date timestamptz,
+    lat numeric(8, 5),
+    lon numeric(8, 5),
+    sted text,
+    dist numeric
+);
+
+DROP FUNCTION wherepos(timestamptz);
+CREATE OR REPLACE FUNCTION wherepos(currtime timestamptz) RETURNS wheretype AS $$
+DECLARE
+    currpos point;
+    currsted text;
+    currdist numeric;
+    currlat numeric(8, 5);
+    currlon numeric(8, 5);
+BEGIN
+    currpos = findpos(currtime);
+    currlat = currpos[1];
+    currlon = currpos[0];
+    currsted = clname(currpos);
+    currdist = cldist(currpos);
+    RETURN(currtime, currlat, currlon, currsted, currdist);
+    -- RETURN(currtime || currlat || currlon || currplace || currdist);
+END;
+$$ LANGUAGE plpgsql;
+
+-- Backup
+-- begin-base64 644 -
+-- H4sIABd7IEgCA11Q0WrCMBR971fch8JacLA9CGLxIatZEUocsX0SH0qNLpCm
+-- WRvZGH78kupMm0DC5Zx77jm5KcWowLClQPFHjlIM7yVJi82WwPcn65hq+6i+
+-- dJ3mDQP79LpqlP6NTX9RUrIDzX40oB2EYbDGaY4oDsAcKzJiUC2XOnGQqGo2
+-- aBx25L0GeWlYx2uHiuoBRosZzOMR1UqfesPZhkyMV3Di8jjOH0+Hr/5b96+H
+-- 6WzHvBz86IYTsmpYdG+JvX9Y3hYef9uWW+X1Ck/wbK4p7oGWy2GVA+PwVo7x
+-- keIWx0ettbHEZJ0EYQg5IlmJMgxKqHP/JZLgD2CFKF3xAQAA
+-- ====
+
 -- Returnerer antall sekunder sia midnatt for en dato.
 DROP FUNCTION secmidnight(timestamptz);
 CREATE OR REPLACE FUNCTION secmidnight(timestamptz) RETURNS double precision
